Name:                fcgi
Version:             2.4.2
Release:             1
Summary:             FastCGI development kit
License:             OML
URL:                 https://github.com/FastCGI-Archives/fcgi2
Source0:             https://github.com/FastCGI-Archives/fcgi2/archive/%{version}.tar.gz
BuildRequires:       gcc gcc-c++ sed coreutils libtool

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific APIs.

%package             devel
Summary:             Development files for %{name}
Requires:            %{name} = %{version}-%{release}
%description         devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n fcgi2-%{version}
sed -i 's/\r//' doc/fastcgi-prog-guide/ch2c.htm
chmod a-x include/fcgios.h libfcgi/os_unix.c LICENSE.TERMS doc/fastcgi-prog-guide/*

%build
./autogen.sh
%configure
%make_build -j1

%install
%make_install
rm %{buildroot}%{_libdir}/libfcgi{++,}.{l,}a
install -p -m 0644 -D doc/cgi-fcgi.1 %{buildroot}%{_mandir}/man1/cgi-fcgi.1
for manpage in doc/*.3
do
install -p -m 0644 -D $manpage %{buildroot}%{_mandir}/man3/$(basename $manpage)
done
rm -f -- doc/*.1
rm -f -- doc/*.3
rm -rf %{buildroot}%{_libdir}/pkgconfig/fcgi++.pc
rm -rf %{buildroot}%{_libdir}/pkgconfig/fcgi.pc

%files
%{_bindir}/cgi-fcgi
%{_libdir}/libfcgi.so.*
%{_libdir}/libfcgi++.so.*
%{_mandir}/man1/*
%license LICENSE.TERMS
%doc LICENSE.TERMS

%files devel
%{_includedir}/*
%{_libdir}/libfcgi.so
%{_libdir}/libfcgi++.so
%{_mandir}/man3/*
%doc doc/

%changelog
* Sat Jan 9 2021 chengzihan <chengzihan2@huawei.com> - 2.4.0-1
- Package init
